module SocialAvatarProxy
  class Configuration
    class Caches < Array
      def fetch(*args, &block)
        if cache = delete_at(0)
          cache.fetch(*args) do
            fetch(*args, &block)
          end
        else
          block.yield
        end
      end
    end
  end
end