require "social_avatar_proxy/avatar"

module SocialAvatarProxy
  class FacebookAvatar < Avatar
    def remote_url
      if identifier =~ /^[\w\-\.]+$/i
        "https://graph.facebook.com/#{identifier}/picture?width=73&height=73"
      else
        raise RuntimeError, "Identifier contains invalid characters"
      end
    end
  end
end