require "social_avatar_proxy/avatar"

module SocialAvatarProxy
  class TwitterAvatar < Avatar
    def remote_url
      if identifier =~ /^\d+$/
        "http://api.twitter.com/1/users/profile_image?user_id=#{identifier}&size=bigger"
      elsif identifier =~ /^[\w\-\.]+$/i
        "http://api.twitter.com/1/users/profile_image?screen_name=#{identifier}&size=bigger"
      else
        raise RuntimeError, "Identifier contains invalid characters"
      end
    end
  end
end